Tspi_TPM_Quote(3)

NAME
Tspi_TPM_Quote - retreive a signed set of PCR values.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_Quote(TSS_HTPM  hTPM,          TSS_HKEY        hIdentKey,
                          TSS_HPCRS hPcrComposite, TSS_VALIDATION* pValidationData);

DESCRIPTION

Tspi_TPM_Quote destroys a context by passing in the handle to that context.

PARAMETERS

  hTPM
Handle of the TPM object.

  hIdentKey
Handle of the signature key object.

  hPcrComposite
Handle of the PCR composite object

  pValidationData
Validation data structure [IN] Provide externalData information required to compute the signature. [OUT] On successful completion of the command, the structure provides a buffer containing the validation data and a buffer containing the data the validation data was computed form.

RETURN CODES

Tspi_TPM_Quote returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE - hTPM, hIdentKey or hPcrComposite is not a valid handle.

TSS_E_BAD_PARAMETER

TSS_E_INTERNAL_ERROR - An error occurred internal to the TSS.

CONFORMING TO

Tspi_TPM_Quote conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

(none).